import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import '@/styles/index.scss'
import SvgIcon from '@/icons/iconIndex'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import 'element-plus/dist/index.css'
import '@/router/premission'
import i18n from './i18n/i18nIndex'
import * as Cesium from '../node_modules/cesium/Source/Cesium'
import '../node_modules/cesium/Source/Widgets/widgets.css'
import filters from './utils/filters'

const app = createApp(App)
SvgIcon(app)
app.use(store).use(router).use(i18n).mount('#app')

// 全局引入 Element 的 icon 组件
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

// 全局引入时间过滤设置
filters(app)

// 全局引入 Cesium
app.config.globalProperties.$Cesium = Cesium
Cesium.Ion.defaultAccessToken =
  'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiIzZjhhMGMyNy0xOGJhLTQyNDItODdjMC1kYzdhZjU5M2RlNTYiLCJpZCI6MTAyNzI1LCJpYXQiOjE2NTg5MTQwMTV9.V8wOhhVUW0PvDJq7KIlzieoWhtZcbWXeYnrY2iZoJl8'
